glibmm 2.66.10

Public Types | Public Member Functions | List of all members
Glib::KeyFileError Class Reference

Exception class for KeyFile errors. More...

`#include <glibmm/keyfile.h>`

Inheritance diagram for Glib::KeyFileError:
[legend]

## Public Types
enum | Code { UNKNOWN_ENCODING , PARSE , NOT_FOUND , KEY_NOT_FOUND , GROUP_NOT_FOUND , INVALID_VALUE }
| Error codes returned by key file parsing. More...

## Public Member Functions
| KeyFileError (Code error_code, const Glib::ustring & error_message)
| KeyFileError (GError * gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark error_domain, int error_code, const Glib::ustring & message)
| Error (GError * gobject, bool take_copy=false)
| Error (const Error & other)
Error & | operator= (const Error & other)
| ~Error () noexcept override
| operator bool () const
| Test whether the Error has an underlying instance.
GQuark | domain () const
int | code () const
Glib::ustring | what () const override
bool | matches (GQuark error_domain, int error_code) const
GError * | gobj ()
const GError * | gobj () const
Public Member Functions inherited from Glib::Exception
virtual | ~Exception () noexcept=0

## Additional Inherited Members
Protected Attributes inherited from Glib::Error
GError * | gobject_

## Detailed Description

Exception class for KeyFile errors.

## Member Enumeration Documentation

## ◆ Code

enum Glib::KeyFileError::Code

Error codes returned by key file parsing.

Enumerator
UNKNOWN_ENCODING | The text being parsed was in an unknown encoding.
PARSE | Document was ill-formed.
NOT_FOUND | The file was not found.
KEY_NOT_FOUND | A requested key was not found.
GROUP_NOT_FOUND | A requested group was not found.
INVALID_VALUE | A value could not be parsed.

## Constructor & Destructor Documentation

## ◆ KeyFileError() [1/2]

Glib::KeyFileError::KeyFileError | ( | Code | error_code,
|  | const Glib::ustring & | error_message )

## ◆ KeyFileError() [2/2]

Glib::KeyFileError::KeyFileError | ( | GError * | gobject | ) |
| explicit

## Member Function Documentation

## ◆ code()

Code Glib::KeyFileError::code | ( |  | ) | const